GDBserver

Functions | Variables
common-debug.h File Reference

Go to the source code of this file.

## Functions
void | debug_printf (const char *format,...) ATTRIBUTE_PRINTF(1
void void | debug_vprintf (const char *format, va_list ap) ATTRIBUTE_PRINTF(1

## Variables
int | show_debug_regs

## Function Documentation

## ◆ debug_printf()

void debug_printf | ( | const char * | format,
|  |  | ...
| ) |  |

## ◆ debug_vprintf()

void void debug_vprintf | ( | const char * | format,
|  | va_list | ap
| ) |  |

## Variable Documentation

## ◆ show_debug_regs

int show_debug_regs

Definition at line 25 of file common-debug.c.

Referenced by aarch64_handle_unaligned_watchpoint(), aarch64_insert_point(), aarch64_linux_prepare_to_resume(), aarch64_remove_point(), debug_reg_change_callback(), handle_monitor_command(), x86_dr_insert_watchpoint(), x86_dr_remove_watchpoint(), and x86_dr_stopped_data_address().